// balance.h
#ifndef BALANCE_H
#define BALANCE_H

#include <iostream>
#include <cstring>
#include <fstream>
#include <cassert>
#include <cmath>
using namespace std;

// abstract base class for balance
class Balance
{
public:
  Balance(){ ; }
  virtual float calcDerivative( float dummy, float state ) = 0;
};

// base class for water balance ---------------------------------------------------
class WaterBalance : public Balance
{
public:
  virtual float solveBalance( float inVol, float startState, float endState ) = 0;

};


#endif

